Generation Framework

## org.eclipse.gmf.common.codegen
Interface ImportAssistant

public interface ImportAssistant

Method Summary
`void` `addImport(java.lang.String qualifiedName)`
`void` `emitPackageStatement(java.lang.StringBuffer stringBuffer)`
`void` `emitSortedImports()`
`java.lang.String` `getCompilationUnitName()` Import assistant knows name of the unit which gonna contain template outcome
`java.lang.String` `getImportedName(java.lang.String qualifiedName)`
`void` `markImportLocation(java.lang.StringBuffer stringBuffer)`
`void` `registerInnerClass(java.lang.String innerClassName)`

Method Detail

### emitPackageStatement

    public void emitPackageStatement(java.lang.StringBuffer stringBuffer)

### markImportLocation

    public void markImportLocation(java.lang.StringBuffer stringBuffer)

### emitSortedImports

    public void emitSortedImports()

### getImportedName

    public java.lang.String getImportedName(java.lang.String qualifiedName)

### addImport

    public void addImport(java.lang.String qualifiedName)

### registerInnerClass

    public void registerInnerClass(java.lang.String innerClassName)

### getCompilationUnitName

    public java.lang.String getCompilationUnitName()

  Import assistant knows name of the unit which gonna contain template outcome

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.